English Forums > 22.7 Legacy Series

Revoked certificate after upgrading to 22.7.4

<< < (2/3) > >>

j_s:
@franco



Enter an option: 12

Fetching change log information, please wait... The file was signed with revoked certificate pkg.opnsense.org.20210903

This will automatically fetch all available updates and apply them.

Proceed with this action? [y/N]: ^C
*** opnsense4.site.business: OPNsense 22.7.4 (amd64/OpenSSL) ***


root@opnsense4:~ # opnsense-update -M
https://pkg.opnsense.org/FreeBSD:13:amd64/22.7


Just got this error myself on my opnsense install.  I just upgraded from 22.1 to 22.7.4

franco:
I'd just try to bootstrap now..

# opnsense-bootstrap -r 22.7


Cheers,
Franco

franco:
Recently ran across this with a box that was upgraded from 22.1. I think we should just flush the old files when the signature verify fails anyway so that the next download can recover it:

https://github.com/opnsense/core/commit/8d50193182


Cheers,
Franco

Durandal:
Hi all,

first tried an update again,same signature error.

As suggested i removed both files under:

/usr/local/opnsense/changelog

File1: changelog.txz         -> remove
File2: changelog.txz.sig   -> remove

To achieve that i activated ssh access (for the first time). So i never changed anything manually in opnsense.

Now update is running.

@franco, Thanks for the commit

BR

Durandal:
Hi,

update worked perfectly - now to 22.7.6:


--- Code: ---***GOT REQUEST TO CHECK FOR UPDATES***
Currently running OPNsense 22.7.6 (amd64/OpenSSL) at Sun Oct 16 15:37:29 CEST 2022
Fetching changelog information, please wait... done
Updating OPNsense repository catalogue...
Fetching meta.conf: . done
Fetching packagesite.pkg: .......... done
Processing entries: .......... done
OPNsense repository update completed. 808 packages processed.
All repositories are up to date.
Checking integrity... done (0 conflicting)
Your packages are up to date.
Checking for upgrades (0 candidates): . done
Processing candidates (0 candidates): . done
Checking integrity... done (0 conflicting)
Your packages are up to date.
***DONE***
--- End code ---

Certificate error is gone after manually removing both files.

Thank you all!

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version